# manual test plan

## recipe publish

- `abra recipe upgrade <recipe>`
  - `cd ~/.abra/apps/<recipe>/ && git diff` to ensure changes made

- `abra recipe sync <recipe>`
  - `cd ~/.abra/apps/<recipe>/ && git diff` to ensure changes made

- `abra recipe release <recipe> --dry-run`
  - prompts should be correct, read what `abra` asks you carefully

## deploy, upgrade, rollback

- `abra app deploy --chaos <app>`
- `abra app deploy --force <app>`
- `abra app deploy <app>`
- `abra app rollback <app>`
- `abra app upgrade <app>`

## app day-to-day ops

- `abra app check <app>`
- `abra app config <app>`
- `abra app cp <app>`
- `abra app errors -w <app>`
- `abra app logs <app>`
- `abra app ls --status <app>`
- `abra app new --secrets <recipe>`
- `abra app ps <app>`
- `abra app remove <app>`
- `abra app restart <app>`
- `abra app run <app>`
- `abra app secret generate --all`
- `abra app secret insert <app> foo v1 bar`
- `abra app secret ls <app>`
- `abra app secret remove <app> foo`
- `abra app volume ls <app>`
- `abra app volume remove --force <app>`
