#!/bin/bash

set -e

function init() {
  ABRA="$HOME/.local/bin/abra"
  INSTALLER_URL="https://install.abra.coopcloud.tech"

  for arg in "$@"; do
    if [ "$arg" == "--dev" ]; then
      ABRA="/src/abra"
      INSTALLER_URL="https://git.coopcloud.tech/coop-cloud/abra/raw/branch/main/scripts/installer/installer"
    fi
  done

  export PATH=$PATH:$HOME/.local/bin

  echo "choosing $ABRA as abra command"
  echo "choosing $INSTALLER_URL as abra installer url"
}

init "$@"
